<div class="alert-container" [ngClass]="data.type.toLowerCase()">
  <div *ngIf="getIcon" class="icon-container">
    <mat-icon>{{ getIcon }}</mat-icon>
  </div>
  <div class="message-container">
    <span>{{ data.message }}</span>
  </div>
</div>
